Java - Problema con eclipse

   
Vista:

Problema con eclipse

Publicado por linuxer (3 intervenciones) el 08/08/2008 14:33:14
Estoy usando la versión 3.3.2 para j2ee y tengo un problema en linux (en windows no ocurre). Al añadir un nuevo servidor (en window-->server-->add) o abajo en la pestaña que pone Server, me salta un error:

An error has occurred. See error log for more details.
org.eclipse.emf.ecore.util.EcoreEMap$DelegateEObjectContainmentEList

El error ocurre cuando sale la lista de servidores, jboss, ibm, etc. No tengo la más mínima idea de por qué ocurre esto en linux. La distribución es Debian Lenny.

Saludos.
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

RE:Problema con eclipse

Publicado por mario (622 intervenciones) el 11/08/2008 18:51:19
Una de las posibles causas es de que estas usando GCJ como maquina virtual, cambia la maquina virtual en la configuracion de eclipse por la de SUN

puedes verificar si abres una consola linux y ejecutas el siguiente comando:

java -version

seguramente te aparecera la de GNU

aki hay un linK q te explica como cambiar el JRE

https://eclipse-tutorial.dev.java.net/eclipse-tutorial/part1.html

cualquier duda ahi estamos
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:Problema con eclipse

Publicado por linuxer (3 intervenciones) el 11/08/2008 18:54:47
Pues sí, sale lo que dices :S El caso es que ya he optado por cambiarme a la "competencia" (Netbeans), pero a ver si cambiando eso se soluciona.. así vuelvo a tener 2 alternativas de IDE, que siempre es mejor que tener sólo una.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:Problema con eclipse

Publicado por linuxer (3 intervenciones) el 11/08/2008 19:17:33
He instalado la maquina virtual de SUN, la he cambiado y no se ha solucionado. He cambiado la variable de entorno JRE_HOME también con la jvm de SUN pero nada. Me quedaré con Netbeans porque el eclipse está dando un dolor de cabeza considerable...

Saludos y gracias.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar